import 'package:doctor_app_flutter/models/patient/patiant_info_model.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:doctor_app_flutter/widgets/shared/profile_image_widget.dart';
import 'package:flutter/material.dart';
import './profile_medical_info_widget.dart';

/* 
 *@author: Elham Rababah 
 *@Date:22/4/2020  
 *@param: 
 *@return:PatientProfileWidget
 *@desc:   Patient Profile Widget
 */
class PatientProfileWidget extends StatelessWidget {
  PatiantInformtion patient;

  @override
  Widget build(BuildContext context) {
    final routeArgs = ModalRoute.of(context).settings.arguments as Map;
    patient = routeArgs['patient'];

    return CustomScrollView(primary: false, slivers: <Widget>[
      SliverList(
        delegate: SliverChildListDelegate(
          [
            Container(
              child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: <Widget>[
                    Column(children: <Widget>[
                      Container(
                        padding: EdgeInsets.only(top: 20),
                        child: ProfileImageWidget(
                          url:
                              "https://hmgwebservices.com/Images/MobileImages/DUBAI/unkown_female.png",
                          name: patient.firstName + ' ' + patient.lastName,
                          fontsize: 24.0,
                          color: Colors.black,
                        ),
                      ),
                      Container(
                        child: Column(
                          children: <Widget>[
                            AppText(
                              'File No: ' + patient.patientId.toString(),
                              fontWeight: FontWeight.normal,
                              fontSize: 16,
                            ),
                            AppText(
                              patient.genderDescription.toString() +
                                  ', ' +
                                  patient.age,
                              fontWeight: FontWeight.normal,
                              fontSize: 16,
                            )
                          ],
                        ),
                      )
                    ]),
                  ]),
            ),
          ],
        ),
      ),
      SliverPadding(
          padding: const EdgeInsets.fromLTRB(20, 30, 15, 10),
          sliver: ProfileMedicalInfoWidget(
            patient: patient,
          ))
    ]);
  }
}
